For the complete documentation index, see llms.txt. This page is also available as Markdown.

Traits

Get trait by ID

get

Returns the trait identified by the given ID.

Authorizations
AuthorizationstringRequired
Path parameters
traitIdstring · uuidRequired

The ID of the trait

Responses
200

Trait found

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
publicIdstringOptional

The public id of the trait.

Example: "AiTrainingInput_C"
resourceDiscriminatorstringOptional

The discriminator of this resource, indicating its type.

Example: Trait
get/traits/{traitId}
GET /rest/2.0/traits/{traitId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
  "createdOn": 1475503010320,
  "lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
  "lastModifiedOn": 1476703764163,
  "system": true,
  "name": "Test name",
  "description": "Sample descripion of the resource.",
  "publicId": "\"AiTrainingInput_C\"",
  "symbolData": {
    "color": "text",
    "symbolType": "NONE",
    "iconCode": "text",
    "acronymCode": "text"
  },
  "resourceDiscriminator": "Trait"
}

Change trait

patch

Changes the trait using the given parameters. Only properties that are specified in this request and have not null values are updated. All other properties are ignored.

Authorizations
AuthorizationstringRequired
Path parameters
traitIdstring · uuidRequired

The ID of the trait

Body
idstring · uuidRequired

The id of the Trait to be changed. Silently ignored if the id is provided as path parameter of the request.

namestring · min: 1 · max: 255Optional

The new name for the Trait.

descriptionstring · max: 4000Optional

The new description for the Trait.

Responses
200

Trait changed

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
publicIdstringOptional

The public id of the trait.

Example: "AiTrainingInput_C"
resourceDiscriminatorstringOptional

The discriminator of this resource, indicating its type.

Example: Trait
patch/traits/{traitId}
PATCH /rest/2.0/traits/{traitId} HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 80

{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
  "createdOn": 1475503010320,
  "lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
  "lastModifiedOn": 1476703764163,
  "system": true,
  "name": "Test name",
  "description": "Sample descripion of the resource.",
  "publicId": "\"AiTrainingInput_C\"",
  "symbolData": {
    "color": "text",
    "symbolType": "NONE",
    "iconCode": "text",
    "acronymCode": "text"
  },
  "resourceDiscriminator": "Trait"
}

Find traits matching criteria

get

Returns traits matching the given search criteria. Only parameters that are specified in this request and have not null values are used for filtering. All other parameters are ignored. By default a result containing 1000 traits is returned.

Authorizations
AuthorizationstringRequired
Query parameters
offsetinteger · int32Optional

The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.

Default: 0
limitinteger · int32Optional

The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.

Default: 0
countLimitinteger · int32Optional

Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped

Default: -1
namestringOptional

The name of the Trait to search for.

nameMatchModestring · enumOptional

The match mode used to compare name. If the match mode is EXACT the search is case-sensitive, otherwise the search is case-insensitive.

Default: ANYWHEREPossible values:
Responses
200

Search ran successfully

application/json
totalinteger · int64Optional

The total number of results.

Example: 1000
offsetinteger · int64Optional

The offset for the results.

Example: 10
limitinteger · int64Optional

The maximum number of results to be returned.

Example: 100
get/traits
GET /rest/2.0/traits HTTP/1.1
Authorization: Basic username:password
Accept: */*
200

Search ran successfully

{
  "total": 1000,
  "offset": 10,
  "limit": 100,
  "results": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
      "createdOn": 1475503010320,
      "lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
      "lastModifiedOn": 1476703764163,
      "system": true,
      "name": "Test name",
      "description": "Sample descripion of the resource.",
      "publicId": "\"AiTrainingInput_C\"",
      "symbolData": {
        "color": "text",
        "symbolType": "NONE",
        "iconCode": "text",
        "acronymCode": "text"
      },
      "resourceDiscriminator": "Trait"
    }
  ]
}

Get the trait by public id

get

Returns the trait identified by the given public id.

Authorizations
AuthorizationstringRequired
Path parameters
publicIdstringRequired

The public identifier of the trait

Responses
200

Trait found

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
publicIdstringOptional

The public id of the trait.

Example: "AiTrainingInput_C"
resourceDiscriminatorstringOptional

The discriminator of this resource, indicating its type.

Example: Trait
get/traits/publicId/{publicId}
GET /rest/2.0/traits/publicId/{publicId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
  "createdOn": 1475503010320,
  "lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
  "lastModifiedOn": 1476703764163,
  "system": true,
  "name": "Test name",
  "description": "Sample descripion of the resource.",
  "publicId": "\"AiTrainingInput_C\"",
  "symbolData": {
    "color": "text",
    "symbolType": "NONE",
    "iconCode": "text",
    "acronymCode": "text"
  },
  "resourceDiscriminator": "Trait"
}

Last updated

Was this helpful?